Very slow editing

2018-01-02 07:30 AM - Michal Jurewicz

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:master Regression?: Yes

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25668

Description

I used master 2.99 version for some time and first build which I use for 1 month was very stable and responsive. However, recently I just

update to current build (626781a) and features editing like moving points/vertex, adding new objects and etc. is very very slow and

unresponsive.

Please see this screen record: http://pomba.pl/pliki/super_slow_editing_qgis.mov

History

#1 - 2018-01-02 07:36 AM - Michal Jurewicz

- File Zrzut ekranu 2018-01-02 o 06.45.39.png added

#2 - 2018-01-02 07:39 AM - Michal Jurewicz

It's the same problem with measures tool.

#3 - 2018-01-05 12:10 AM - Jan Lippmann

hi Michal,

i have no problems with editing performance.

i would turn off snapping for all layers an then test the performance, then turn on snapping for every layer step by step and check the performance after

everey step...in order to find the "problemlayer(s)"

missing spatial index can be a problem...

3rd party plugins could also impact editing...

#4 - 2018-01-05 02:22 AM - Nyall Dawson

- Status changed from Open to Closed

Should be fixed in latest master - was caused by missing transform context for snapping/tracing operations, which results in lots of debug output on debug

enabled builds.

#5 - 2018-01-06 09:25 AM - Michal Jurewicz
http://pomba.pl/pliki/super_slow_editing_qgis.mov


I can confirm that slow editing is fixed. However, there is even more annoying slow down during different actions but I will open new ticket about it.

#6 - 2018-02-22 10:59 AM - Giovanni Manghi

- Resolution set to fixed/implemented
